Bug 434861 - Review Request: python-tftpy - Python TFTP library
Review Request: python-tftpy - Python TFTP library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 16:35 EST by John A. Khvatov
Modified: 2008-09-10 02:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-29 05:52:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description John A. Khvatov 2008-02-25 16:35:37 EST
Spec URL: http://212.193.33.181/rpm/python-tftpy.spec
SRPM URL: http://212.193.33.181/rpm/python-tftpy-0.4.4-1.fc8.src.rpm
Description:
Tftpy is a TFTP library for the Python programming language.
It includes client and server classes. It supports RFCs 1350, 2347 and 2348.

This is my first package. I need a sponsor.
Comment 1 John A. Khvatov 2008-03-28 14:41:01 EDT
PING?!
Comment 2 John A. Khvatov 2008-06-03 10:16:54 EDT
Spec URL: http://spaconf.sgu.ru/rpm/python-tftpy.spec
SRPM URL: http://spaconf.sgu.ru/rpm/python-tftpy-0.4.5-1.fc9.src.rpm

Update to upstream (0.4.5) and rebuild for f9.
Comment 3 Jason Tibbitts 2008-06-21 19:43:12 EDT
I don't see you in the account system at all; is this your first package for Fedora?

I'm assuming that it is; setting things appropriately.  See
http://fedoraproject.org/wiki/PackageMaintainers/Join for more information.
Comment 4 John A. Khvatov 2008-06-22 08:55:05 EDT
Yes, this is my first package in Fedora.
I have registered the Fedora account(name: ivaxer), I hope that nothing is missed.

Thanks.
Comment 5 Rakesh Pandit 2008-07-05 11:42:59 EDT
I am not sponsored yet. So, cannot officially review your package. But to help 
here is an:

Unofficial package review
===============
rpmlint -i <srpm>:
python-tftpy.src: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 4)
python-tftpy.src: E: description-line-too-long Tftpy is a TFTP library for the 
Python programming language. It includes client and server classes, with sample 
implementations. Hooks are included for
python-tftpy.src: E: description-line-too-long easy inclusion in a UI for 
populating progress indicators. It supports RFCs 1350, 2347 and 2348.

rpmlint -i <rpm>
python-tftpy.noarch: W: spurious-executable-perm /usr/share/doc/python-
tftpy-0.4.5/bin/tftpy_server.py
python-tftpy.noarch: W: doc-file-dependency /usr/share/doc/python-tftpy-0.4.5/
bin/tftpy_server.py /usr/bin/env


- You seem to have mixed tabs and spaces
- Try wrapping description to 80 columns (1 column = 1 char) a line
- bin files -- 'bin/tftpy_client.py' & 'bin/tftpy_server.py' should go to 'doc' 
but they should go to 'bin'
 you are excluding .pyc and .pyo but files are not there.  
- you need to replace env in these files with %{__python} -- may be consult 
reviewer
 
Required 
=====
[x] Package naming & spec file naming 
[x] md5sum matches for source from srpm and project page
[?] License field present, but file COPYING does not look license to me -- 
     It says 'if you press accept' so essentially it is being used  while using 
this program. 
     It looks okay to me - but may be do some more research.
[x] spec file is legible and written in American English
[x] All files are in utf-8 
[x] no static libraries, no libtool, package does not own files or folders used 
by other packages.
[x] nothing used in %doc for runtime.
[x] consistently used macros
[x] package build and compile using koji 
[-] tabs and spaces mixed 
[-] dependency env warning
[-] description is okay but needs to be wrapped.

Optional 
=====
[x] latest stable packaged 
[?] includes a COPYING file but needs some more research
  
-N/A, x = check, ! = Problem and ? = Not evaluated 

It is okay, just needs some quick fixs in my few.
Comment 6 Rakesh Pandit 2008-07-05 13:52:06 EDT
typo*

Keys:
- = Problem, x = check, and ? = Not evaluated
Comment 7 John A. Khvatov 2008-07-06 04:23:18 EDT
Thanks for review.

I fix problems:
rpmlint -i python-tftpy-0.4.5-2.fc9.src.rpm:
1 packages and 0 specfiles checked; 0 errors, 0 warnings

rpmlint -i python-tftpy-0.4.5-2.fc9.noarch.rpm:
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Moved 'bin/tftpy_server.py' and 'bin/tftpy_client.py' to %{_bindir}.

Spec URL: http://212.193.33.181/rpm/python-tftpy.spec
SRPM URL: http://212.193.33.181/rpm/python-tftpy-0.4.5-2.fc9.src.rpm
Comment 8 Rakesh Pandit 2008-07-06 05:46:33 EDT
I am mixing my keys :P, but you got them right.
[-] = Problem or suggestion, [x] = Checked, ? = No idea  

Package looks okay to me.

Just few more optional suggestions
[-] Changelog message should be about what changes you did to reach this 
version. You may consider providing a better log ;-) like issues you resolved.

[-] you may consider removing PKG-INFO if you are not installing it from srpm.

Thanks

Comment 9 John A. Khvatov 2008-07-08 14:29:40 EDT
I'll take into consideration your suggestions.

Thanks.
Comment 10 John A. Khvatov 2008-07-19 12:59:09 EDT
I've moved sources:

Spec URL: http://stingr.net/~ivaxer/python-tftpy/python-tftpy.spec
SRPM URL: http://stingr.net/~ivaxer/python-tftpy/python-tftpy-0.4.5-2.fc9.src.rpm

I need a sponsor..
Comment 11 Mamoru TASAKA 2008-07-19 14:31:25 EDT
To spot:
Would you add Python 1.6b1-2.0,2.1 license to Fedora license list?
Currently the spec file by John uses the license tag "Python", however actually
this package uses Python 1.6b1-2.0,2.1 license (OSI seems to be using "CNRI") [1]
which is GPL incompatible according to [2] where current Python license is GPL
compatible.

[1] http://www.opensource.org/licenses/pythonpl.php
[2] http://www.gnu.org/licenses/license-list.html#GPLIncompatibleLicenses

To John:
I will check this package tomorrow, however
would you have another review request or have done a pre-review of other person's
review request?
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 12 John A. Khvatov 2008-07-20 08:11:15 EDT
My pre-review in #455581 bug.

I also have almost finished package Ceph FS (http://ceph.newdream.net) for fedora.
But I have not yet submit to review, because sources non-stable.
Spec here:
http://stingr.net/git/?p=ivaxer/rpm/ceph;a=tree
It would be great if Ceph was aproved in fedora. May be finish and submit?

Thanks!
Comment 13 Mamoru TASAKA 2008-07-20 13:25:02 EDT
Well,

* This package itself is okay, except for license tag
* Your pre-review seems good for initial comments

Now I will wait for the reply from spot.
Comment 14 Mamoru TASAKA 2008-07-20 13:40:40 EDT
By the way:
(In reply to comment #12)
> I also have almost finished package Ceph FS (http://ceph.newdream.net) for fedora.
> But I have not yet submit to review, because sources non-stable.
> Spec here:
> http://stingr.net/git/?p=ivaxer/rpm/ceph;a=tree
> It would be great if Ceph was aproved in fedora. May be finish and submit?

Currently any new packages which requires kernel modules outside kernel tree or
external kernel modules are banned for Fedora.
Comment 15 John A. Khvatov 2008-07-20 14:42:33 EDT
(In reply to comment #13)
> Well,
> 
> * This package itself is okay, except for license tag
> * Your pre-review seems good for initial comments
> 

Thanks.

(In reply to comment #14)
> By the way:
> 
> Currently any new packages which requires kernel modules outside kernel tree or
> external kernel modules are banned for Fedora.
> 

Oh, yes, I'm sorry.
Comment 16 John A. Khvatov 2008-08-07 10:29:10 EDT
I sent another review-request #458288.
Comment 17 Mamoru TASAKA 2008-08-14 03:18:55 EDT
Just leaving a comment that I am waiting for spot's license check.
Comment 18 Mamoru TASAKA 2008-08-23 12:37:51 EDT
To Spot:

Sorry again, however would you review the license of this package
(as written in my comment 11)?
Comment 19 Tom "spot" Callaway 2008-08-23 12:54:52 EDT
License is OK, Free but GPL incompatible. I've added it to the license list in 1.03, use:

License: CNRI

Lifting FE-Legal
Comment 20 Mamoru TASAKA 2008-08-23 13:00:11 EDT
To spot: Thanks!!

To John:
Now would you change the license tag and modify anything which you think is needed
and re-upload the srpm? Then I will recheck your srpm.
Comment 22 Mamoru TASAKA 2008-08-24 12:11:29 EDT
------------------------------------------------------------------------------
    This package (python-tftpy) is APPROVED by mtasaka
------------------------------------------------------------------------------
Comment 23 John A. Khvatov 2008-08-24 13:10:19 EDT
New Package CVS Request
=======================
Package Name: python-tftpy
Short Description: A Pure-Python library for TFTP
Owners: ivaxer
Branches: F-9
InitialCC:
Comment 24 Kevin Fenzi 2008-08-24 15:10:03 EDT
cvs done.
Comment 25 Mamoru TASAKA 2008-08-29 02:19:54 EDT
Please submit a request on bodhi to push F-9 package to the repository.
Comment 26 Fedora Update System 2008-08-29 05:35:14 EDT
python-tftpy-0.4.5-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-tftpy-0.4.5-3.fc9
Comment 27 Mamoru TASAKA 2008-08-29 05:52:20 EDT
Thanks. Now closing.
Comment 28 Fedora Update System 2008-09-10 02:37:37 EDT
python-tftpy-0.4.5-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.